## pkg-kde-tools 0.14.0ubuntu1~natty1

=== debian/changelog ===
pkg-kde-tools (0.14.0ubuntu1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Mon, 30 May 2011 13:34:06 +0000

pkg-kde-tools (0.14.0ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - debian/install: install kubuntu/ files
    - debian/control: add python to build-dependencies
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      add "include /usr/lib/kubuntu-desktop-i18n/kubuntu.mk" and compress
      packages with LZMA
    - perlib/Debian/Debhelper/Buildsystem: add sub clean and sub install
      for i18n
    - add perlib/Debian/Debhelper/lzma.pm
    - perlib/Debian/Debhelper/kde.pm: include lzma squences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - perllib/Debian/PkgKde/SymbolsHelper/Substs/{TypeSubst,VirtTable}.pm:
      add ppc64 support

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 May 2011 18:32:24 +0200

pkg-kde-tools (0.14.0) unstable; urgency=low

  * Do not use Debian "branded" names in DLRestrictions (like e.g.
    debian_dlrestrictions special symbol).
  * pkgkde-symbolshelper: expand qreal subst to float on sh4. (Closes: #627486)
  * DLRestrictions: hide dlr_are_symbol_objects_compatible() symbol.
  * DLRestrictions: rework and cleanup error functions. Export new APIs.
  * DLRestrictions: improve library compatibility checking APIs and export more
    functions.
  * Add symbol file for libdlrestrictions1.
  * Version libdlrestrictions.so.1 symbols (--default-symver).
  * Do a basic DLRestrictions test at build time.
  * Improve DLRestrictions performance and fix a couple of bugs.

 -- Modestas Vainius <modax@debian.org>  Thu, 26 May 2011 00:25:41 +0300

pkg-kde-tools (0.13.1) experimental; urgency=low

  * Fix sections libdlrestrictions1 and libdlrestrictions-dev (libs and
    libdevel respectively).
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Relicense DLRestrictions under less troublesome LGPLv2.1.
  * While installing, preserve source permissions of files in cmake, makefiles,
    qt-kde-team and some other directories. This solves unexecutable scripts
    problem.

 -- Modestas Vainius <modax@debian.org>  Tue, 24 May 2011 12:28:48 +0300

pkg-kde-tools (0.13.0) experimental; urgency=low

  * pkgkde-vcs tag: allow 'stable' in the changelog distribution field.
  * Implement CMake based build system for the package.
  * Add DLRestrictions library. Check descriptions of new binary packages
    (namely libdlrestrictions1 and libdlrestrictions-dev) for more information.
  * Beginings of unit test implementation for the  DLRestrictions library. They
    do not work yet though.
  * Ship verbatim texts of the GPL-3 (COPYING.GPL-3), GPL-2 (COPYING.GPL-2) and
    LGPL-3 (COPYING.LGPL-3) licenses in the source package.
  * Bump packaging copyright years in debian/copyright.

 -- Modestas Vainius <modax@debian.org>  Tue, 24 May 2011 03:49:14 +0300

pkg-kde-tools (0.12.1ubuntu3) oneiric; urgency=low

  * Drop scour as it has proven to cause bugs (see #786192).
    Packages that are known to work fine can still directly use the scour
    sequence.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 26 May 2011 19:05:40 +0200

pkg-kde-tools (0.12.1ubuntu2) oneiric; urgency=low

  * Depend on python-rsvg and python-cairo so that dh_scour can do the
    correctness test.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 08 May 2011 19:43:28 +0200

pkg-kde-tools (0.12.1ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - debian/install: install kubuntu/ files
    - debian/control: add python to build-dependencies
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      add "include /usr/lib/kubuntu-desktop-i18n/kubuntu.mk" and compress
      packages with LZMA
    - perlib/Debian/Debhelper/Buildsystem: add sub clean and sub install
      for i18n
    - add perlib/Debian/Debhelper/lzma.pm
    - perlib/Debian/Debhelper/kde.pm: include lzma and scour squences
      + add python and python-scour to Depends
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - perllib/Debian/PkgKde/SymbolsHelper/Substs/{TypeSubst,VirtTable}.pm:
      add ppc64 support
  * lzma.pm: Use dpkg_architecture_value() instead of relying on the
    DEB_HOST_ARCH env variable.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 05 May 2011 16:18:06 +0200

pkg-kde-tools (0.12.1) unstable; urgency=low

  * pkgkde-getbuildlogs: fix fetching of last logs.
  * pkgkde-getbuildlogs: assume logs are in UTF-8. Fixes perl warning.

 -- Modestas Vainius <modax@debian.org>  Mon, 02 May 2011 00:36:31 +0300

pkg-kde-tools (0.12.0) unstable; urgency=low

  * Implement and add DebianABIManager. Refer to
    /usr/share/doc/pkg-kde-tools/README.DebianABIManager for more information.
  * Since kdelibs5-dev 4.6.1, ENABLE_LIBKDEINIT_RUNPATH defaults to ON whenever
    CMAKE_BUILD_TYPE is Debian.
  * Fix a typo in qt-kde-team/2/library-packages.mk: makes
    libpkgs_addsubst_allLibraries work.
  * qt-kde-team/2/debian-qt-kde.mk: attach debian/stamp-man-pages properly.
    dh_auto_build is executed when build* targets are run, not binary*.
  * Rename 'overriden_command' to 'overridden_command' (which is correct
    spelling). But keep 'overriden_command' as an alias for now.
  * Switch debian/rules engine to home-grown dhmk. This might help to
    detect regressions and might ease testing and development process.
  * qt-kde-team/2/library-packages.mk: libpkgs_gen_strict_local_shlibs no
    longer depends on the presence of the respective DEBIAN/*/shlibs.
  * Fix dh examples in README.Debian to be dh compat=8 compatible.

 -- Modestas Vainius <modax@debian.org>  Wed, 27 Apr 2011 11:58:46 +0300



=== debian/control ===
Source: pkg-kde-tools
Section: devel
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: debhelper (>= 7), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
Standards-Version: 3.9.2
Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/pkg-kde-tools/ubuntu
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/pkg-kde-tools/ubuntu
XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary

Package: pkg-kde-tools
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~),
 python
Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
Suggests: debhelper (>= 7.3.16), cdbs
Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)
Description: various packaging tools and scripts for KDE Applications
 This package contains a variety of packaging tools and build scripts that may
 be very useful when packaging KDE applications. Even if you are a maintainer
 of a very small KDE application, this package should be worthwhile checking
 out.
 .
 Main highlights:
  - recommended build flags for building packages based on the KDE Platform;
  - cdbs class for building packages based on the KDE Platform (kde.mk);
  - debhelper build system (--buildsystem=kde) and dh addon (--with kde) for
    building packages based on the KDE Platform;
  - dh_sameversiondep for generating a dependency that is versioned the same
    way as a dependency (coming from the same source) of another reference
    package.
  - dh_movelibkdeinit for moving libkdeinit4_*.so libraries to private
    location;
  - dh_sodeps (and sodeps dh addon) for generating so:Depends substvar for -dev
    packages based to which local packages lib*.so symlinks point to;
  - pkgkde-symbolshelper tool for efficient management of C and C++ symbol
    files;
  - pkgkde-debs2symbols tool for generating symbol files and symbol file
    patches from pre-built binaries in the deb packages;
  - pkgkde-getbuildlogs tool for downloading build logs for the specified
    package (from buildd.debian.org);
  - pkgkde-override-sc-dev-latest tool for overriding Breaks of the
    kde-sc-dev-latest package;
  - pkgkde-vcs tool for performing common tasks when packaging under VCS.
 .
 NOTE: since this package is cumulative, it does not depend on the packages it
 provides helpers for. I.e. you still need to explicitly build depend on
 debhelper or cdbs in your packages.

Package: libdlrestrictions1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library that implements library compatibility checks for dlopen()
 This package provides a DLRestrictions library that can be used to check
 compatibility of the external shared library (or plugin) against other
 libraries currently loaded in the global symbol object. It might help to avoid
 symbol clashes and provide means for graceful failure detection in advance
 before the first dlsym() call. Otherwise, usage of incompatible library might
 result in crashes or other unpredictable failures of the application.
 .
 A shared library that is protected by DLRestrictions provides a special symbol
 which defines conditions under which the library may be safely used. At the
 moment, the only restriction that may be imposed controls whether multiple
 SONAMEs of the same library can safely co-exist in the same symbol space.
 Shared library dependencies are also checked for compatibility.

Package: libdlrestrictions-dev
Architecture: any
Section: libdevel
Depends: libdlrestrictions1 (= ${binary:Version})
Description: development files for the DLRestrictions library
 This package provides development files needed to build both shared libraries,
 which specify their compatibility restrictions, and applications, which check
 whether those restrictions are satisfied before using those libraries. The
 package also contains a CMake module which simplifies building DLRestricted
 shared libraries with CMake.

=== debian/rules ===
#!/usr/bin/make -f

include qt-kde-team/2/dhmk.mk

override_dh_install:
	$(overridden_command) --list-missing

# KDE branch to use. Various scripts are coming from kdesdk or other parts of
# KDE, those will preferrably be fetched from the branch (still taking into
# account the revision from below).s
KDEBRANCH=4.5
# SVN revision of the release at hand. This can be looked up via
# http://websvn.kde.org/tags/KDE/. Please mind that it usually is a good idea to
# enter the appropriate folder and take the rev number from kde-l10n rather than
# the one from the folder. Ideally one would however look at all the folders
# inside kde-l10n and then use the rev accuring most.
SVNREV=1156561

syncl10n:
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/createdesktopcontext.pl kubuntu/createdesktopcontext.pl
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/KDE/$(KDEBRANCH)/kdesdk/scripts/extractattr kubuntu/extractattr
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-messages.sh kubuntu/extract-messages.sh
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/KDE/$(KDEBRANCH)/kdesdk/scripts/extractrc kubuntu/extractrc
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-xml.sh kubuntu/extract-xml.sh
	echo "\n\n\n\n\n*** PLEASE MERGE FINDFILES MANUALLY!!!!! ***\n\n\n\n\n"
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/msgsplit kubuntu/msgsplit
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/KDE/$(KDEBRANCH)/kdelibs/kdeui/preparetips kubuntu/preparetips

## pkg-kde-tools 0.14.1ubuntu2

=== debian/changelog ===
pkg-kde-tools (0.14.1ubuntu2) oneiric; urgency=low

  * Stop stripping translations from desktop files as per discussion on
    kubuntu-devel mailing list.
    - Keep desktop-template-list for compatibility with current kde-l10n
      packages.
    - Keep /usr/bin scripts for now. We should look into moving them back to
      kdesdk-scripts next cycle.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 14 Sep 2011 21:22:09 +0200

pkg-kde-tools (0.14.1ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - debian/install: install kubuntu/ files
    - debian/control: add python to build-dependencies
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      add "include /usr/lib/kubuntu-desktop-i18n/kubuntu.mk" and compress
      packages with LZMA
    - perlib/Debian/Debhelper/Buildsystem: add sub clean and sub install
      for i18n
    - add perlib/Debian/Debhelper/lzma.pm
    - perlib/Debian/Debhelper/kde.pm: include lzma squences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - perllib/Debian/PkgKde/SymbolsHelper/Substs/TypeSubst.pm:
      add ppc64 support
  * Run syncl10n and merge findfiles from KDE 4.7.
  * Clean package after running syncl10n.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 13 Jul 2011 13:31:44 +0200

pkg-kde-tools (0.14.1) unstable; urgency=low

  * pkgkde-symbolshelper: no longer replace substs in the symbol name unless
    the symbol is tagged with a 'subst' tag. This was kept for compatibility
    with << 0.6 symbol files.
  * Drop overriden_command alias from dhmk.mk. Most packages should have
    already been transitioned to correct spelling.
  * pkgkde-symbolshelper: drop VirtTable subst which was deprecated long ago.

 -- Modestas Vainius <modax@debian.org>  Thu, 23 Jun 2011 11:17:39 +0300

pkg-kde-tools (0.14.0ubuntu2) oneiric; urgency=low

  * When processing .desktop files add the X-Ubuntu-Gettext-Domain key to the
    [Desktop Entry] group instead of always appending it to the end of the
    file. (LP: #794320)

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 11 Jun 2011 01:03:07 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
 
 Package: pkg-kde-tools
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~),
- python
+Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~)
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: debhelper (>= 7.3.16), cdbs
 Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)

## pkg-kde-tools 0.14.2

=== CMakeLists.txt ===
project(pkg-kde-tools)
# 2.6.4 has PERL_VENDORLIB
cmake_minimum_required(VERSION 2.6.4)

# Find required perl bits
find_package(PerlLibs)
if (PERL_VENDORLIB AND PERL_EXECUTABLE)
    MESSAGE(STATUS "Perl VendorLib: ${PERL_VENDORLIB}")
else (PERL_VENDORLIB AND PERL_EXECUTABLE)
    MESSAGE(FATAL_ERROR "Unable to determine vendorlib. Perl was not found?")
endif (PERL_VENDORLIB AND PERL_EXECUTABLE)

find_program(POD2MAN pod2man)
if (NOT POD2MAN)
    MESSAGE(FATAL_ERROR "pod2man is required to build this package")
endif (NOT POD2MAN)

set(BIN_INSTALL_DIR bin CACHE PATH "Binary/script installation directory")
set(LIB_INSTALL_DIR lib CACHE PATH "Library installation directory")
set(DATA_INSTALL_DIR share/${CMAKE_PROJECT_NAME} CACHE PATH "Data file installation directory")
set(DATALIB_INSTALL_DIR "${DATA_INSTALL_DIR}/lib")
set(MAN_INSTALL_DIR share/man CACHE PATH "Manual page installation directory")
set(INCLUDE_INSTALL_DIR include CACHE PATH "Header file installation directory")
option(DISABLE_TESTS "Disable ${CMAKE_PROJECT_NAME} tests" OFF)

# Function for building & installing manual pages generated from PODs
function(install_pod_manpages section)
    foreach (pod ${ARGN})
        set(man "${CMAKE_CURRENT_BINARY_DIR}/${pod}.${section}")
        add_custom_command(OUTPUT "${man}"
            COMMAND ${POD2MAN} "${CMAKE_CURRENT_SOURCE_DIR}/${pod}" "${man}"
            MAIN_DEPENDENCY ${pod})
        get_filename_component(podfilename ${pod} NAME)
        add_custom_target(pod2man_${pod} ALL DEPENDS ${man}
            COMMENT "Building manual page for ${pod}" SOURCES ${pod})
        install(FILES ${man} DESTINATION "${MAN_INSTALL_DIR}/man${section}"
                             COMPONENT Documentation)
    endforeach (pod ${ARGN})
endfunction(install_pod_manpages section)

# Install data & arch-indep library bundles
install(DIRECTORY cmake makefiles qt-kde-team
        DESTINATION ${DATA_INSTALL_DIR}
        USE_SOURCE_PERMISSIONS
        COMPONENT Programs)

install(DIRECTORY vcslib/
    DESTINATION ${DATA_INSTALL_DIR}/vcs
    USE_SOURCE_PERMISSIONS
    COMPONENT Programs)

install(DIRECTORY datalib/
    DESTINATION ${DATALIB_INSTALL_DIR}
    USE_SOURCE_PERMISSIONS
    COMPONENT Programs)

install(DIRECTORY perllib/
    DESTINATION ${PERL_VENDORLIB}
    COMPONENT Programs
    FILES_MATCHING PATTERN "*.pm")

# Install debhelper helpers programs
install(PROGRAMS
    dh_movelibkdeinit
    dh_sameversiondep
    dh_sodeps
    DESTINATION ${BIN_INSTALL_DIR}
    COMPONENT Programs
)
install_pod_manpages(1 dh_movelibkdeinit dh_sameversiondep dh_sodeps)

# Install pkgkde binaries
install(PROGRAMS
    pkgkde-debs2symbols
    pkgkde-gensymbols
    pkgkde-getbuildlogs
    pkgkde-override-sc-dev-latest
    pkgkde-symbolshelper
    pkgkde-vcs
    DESTINATION ${BIN_INSTALL_DIR}
    COMPONENT Programs)
install_pod_manpages(1 pkgkde-override-sc-dev-latest)

# Install raw manpages
install(DIRECTORY man1
    DESTINATION ${MAN_INSTALL_DIR}
    COMPONENT Documentation)

# Build dlrestrictions
add_subdirectory(dlrestrictions)

if (NOT DISABLE_TESTS)
    enable_testing()
    add_subdirectory(t)
endif (NOT DISABLE_TESTS)

=== t/CMakeLists.txt ===
function(add_perl_test path)
    get_filename_component(filename "${path}" NAME)
    string(REGEX REPLACE "\\.t$" "" testname ${filename})

    # Custom working directory
    set(cmd_prefix)
    if (ARGV1)
        set(cmd_prefix ${CMAKE_COMMAND} -E chdir ${ARGV1})
    endif (ARGV1)
    add_test(${testname}
        ${cmd_prefix} ${CMAKE_SOURCE_DIR}/run-local ${PERL_EXECUTABLE} -MTest::Harness
        -e "$Test::Harness::verbose=\\\$ENV{VERBOSE}||0; runtests '${path}'")
endfunction(add_perl_test path)

# Syntax check of perl modules and scripts
add_perl_test("${CMAKE_CURRENT_SOURCE_DIR}/perl_syntax_check.t" "${CMAKE_SOURCE_DIR}")

add_subdirectory(dlrestrictions)

=== debian/changelog ===
pkg-kde-tools (0.14.2) unstable; urgency=low

  * Export buildflags in dhmk.mk.

 -- Modestas Vainius <modax@debian.org>  Mon, 18 Jul 2011 22:55:25 +0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,12 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 7), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
 Standards-Version: 3.9.2
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/pkg-kde-tools/ubuntu
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/pkg-kde-tools/ubuntu
-XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary
+Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary
 
 Package: pkg-kde-tools
 Architecture: all

## pkg-kde-tools 0.14.2ubuntu5

=== debian/changelog ===
pkg-kde-tools (0.14.2ubuntu5) precise; urgency=low

  * Update kubuntu-debhelper-langpack-generate.sh to not fail when no
    .pot files are generated

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 09:42:28 +0100

pkg-kde-tools (0.14.2ubuntu4) precise; urgency=low

  * In kubuntu-debhelper-langpack-clean.sh fix syntax on variable name

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Apr 2012 14:44:08 +0100

pkg-kde-tools (0.14.2ubuntu3) precise; urgency=low

  * Add calls to kubuntu i18n scripts back to
    perllib/Debian/Debhelper/Buildsystem/kde.pm, makefiles/1/cdbs/kde.mk and qt-kde-team/1/debian-qt-kde.mk,
    needed for .pot generation
  * Add back kubuntu.mk, debhelper/kubuntu.mk and debhelper/ scripts to to .pot generation
  * Add to pkg-kde-tools.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Apr 2012 13:50:01 +0100

pkg-kde-tools (0.14.2ubuntu2) precise; urgency=low

  * Mark pkg-kde-tools Multi-Arch: foreign.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 08 Nov 2011 10:27:37 -0800

pkg-kde-tools (0.14.2ubuntu1) precise; urgency=low

  * Merge with Debian unstable, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/install: install kubuntu/ files
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      compress packages with LZMA
    - add perlib/Debian/Debhelper/lzma.pm
    - perlib/Debian/Debhelper/kde.pm: include lzma squences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - perllib/Debian/PkgKde/SymbolsHelper/Substs/TypeSubst.pm:
      add ppc64 support

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 15 Oct 2011 15:18:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 7), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
 Standards-Version: 3.9.2
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
-Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/pkg-kde-tools/ubuntu
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/pkg-kde-tools/ubuntu
+XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary
 
 Package: pkg-kde-tools
 Architecture: all
+Multi-Arch: foreign
 Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~)
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: debhelper (>= 7.3.16), cdbs

## pkg-kde-tools 0.14.3

=== debian/changelog ===
pkg-kde-tools (0.14.3) unstable; urgency=low

  [ Modestas Vainius ]
  * SymbolFileCollection.pm: import Dpkg::Arch::debarch_is into proper package.

  [ José Manuel Santamaría Lema ]
  * Add check-not-installed target.

  [ Pino Toscano ]
  * pkgkde-symbolshelper: fix the int64_t and uint64_t expansions on s390x.

 -- Modestas Vainius <modax@debian.org>  Mon, 26 Dec 2011 13:03:43 +0200

## pkg-kde-tools 0.15.2ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.15.2ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - debian/install: install kubuntu/ files
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      add "include /usr/lib/kubuntu-desktop-i18n/kubuntu.mk" and compress
      packages with LZMA
    - add perlib/Debian/Debhelper/lzma.pm and xz.pm
    - perlib/Debian/Debhelper/kde.pm: include xz squences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - perlib/Debian/Debhelper/Buildsystem: add sub clean and sub install
      for i18n
  * qt-kde-team/2/debian-qt-kde.mk: don't pass -Zxz to dh_builddeb as we
    already do that in the kde debhelper addon
  * qt-kde-team/2/debian-qt-kde.mk: run list-missing after the binary target
  * qt-kde-team/2/list-missing.mk: print marker before and after list-missing
    output

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 11 Aug 2012 17:52:53 +0200

pkg-kde-tools (0.15.2) unstable; urgency=low

  * Enable xz compression for Debian Qt/KDE team packages by default.
    (Closes: #657243) Thanks to Ansgar Burchardt for the patch.

 -- Modestas Vainius <modax@debian.org>  Mon, 06 Aug 2012 01:58:43 +0300

pkg-kde-tools (0.15.1) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Extend the workaround for cmake bug #653916 also to CFLAGS.

  [ Modestas Vainius ]
  * pkgkde-getbuildlogs: support gzip Content-Encoding.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Jun 2012 13:56:16 +0300

pkg-kde-tools (0.15.0ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - debian/install: install kubuntu/ files
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      add "include /usr/lib/kubuntu-desktop-i18n/kubuntu.mk" and compress
      packages with LZMA
    - add perlib/Debian/Debhelper/lzma.pm
    - perlib/Debian/Debhelper/kde.pm: include lzma squences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - perlib/Debian/Debhelper/Buildsystem: add sub clean and sub install
      for i18n
  * Add "xz" debhelper addons that compresses packages using the XZ algorithm.
  * Make the kde debhelper addon use xz instad of lzma.
  * Enable xz compression on all architectures.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 08 Jun 2012 12:49:58 +0200

pkg-kde-tools (0.15.0) unstable; urgency=low

  * Team upload.

  [ Modestas Vainius ]
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Install pkgkde-git as an alias for pkgkde-vcs with VCS type forced to git.
  * Implement pkgkde-git clone and update-config subcommands.
  * Make variables.mk respect LDFLAGS from environment. Thanks to Simon
    Ruderich for the patch. (Closes: #669183)
  * pkgkde-symbolshelper: output covariant return trunks with c++ tag since the
    symbol name contains an arch-specific offset. (Closes: #657806)

  [ José Manuel Santamaría Lema ]
  * Add a workaround for cmake bug #653916 (cmake ignores CPPFLAGS) in
    qt-kde-team/2/dhmk.mk.

 -- Modestas Vainius <modax@debian.org>  Sat, 02 Jun 2012 21:45:25 +0300

pkg-kde-tools (0.14.4) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * pkgkde-symbolshelper: fix the size_t, ssize_t, int64_t, uint64_t,
    qptrdiff, quintptr expansions on sparc64 and ppc64. (Closes: #656380)

 -- Modestas Vainius <modax@debian.org>  Mon, 21 May 2012 19:36:08 +0300

pkg-kde-tools (0.14.3ubuntu1) quantal; urgency=low

  * Merge with Debian git snapshot, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/install: install kubuntu/ files
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      add "include /usr/lib/kubuntu-desktop-i18n/kubuntu.mk" and compress
      packages with LZMA
    - add perlib/Debian/Debhelper/lzma.pm
    - perlib/Debian/Debhelper/kde.pm: include lzma squences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - perlib/Debian/Debhelper/Buildsystem: add sub clean and sub install
      for i18n
  * debian/rules: add rules to sync l10n
  * Run syncl10n.
  * Drop code that sets KUBUNTU_DESKTOP_POT which isn't used anymore.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 30 Apr 2012 19:18:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 7), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/pkg-kde-tools/ubuntu
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/pkg-kde-tools/ubuntu

=== debian/rules ===
#!/usr/bin/make -f

include qt-kde-team/2/dhmk.mk

override_dh_install:
	$(overridden_command) --list-missing

# KDE branch to use. Various scripts are coming from kdesdk or other parts of
# KDE, those will preferrably be fetched from the branch (still taking into
# account the revision from below).s
KDEBRANCH=4.8
# SVN revision of the release at hand. This can be looked up via
# http://websvn.kde.org/tags/KDE/. Please mind that it usually is a good idea to
# enter the appropriate folder and take the rev number from kde-l10n rather than
# the one from the folder. Ideally one would however look at all the folders
# inside kde-l10n and then use the rev accuring most.
SVNREV=1292309

syncl10n:
	#svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/createdesktopcontext.pl kubuntu/createdesktopcontext.pl
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/KDE/$(KDEBRANCH)/kdesdk/scripts/extractattr kubuntu/extractattr
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-messages.sh kubuntu/extract-messages.sh
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/KDE/$(KDEBRANCH)/kdesdk/scripts/extractrc kubuntu/extractrc
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-xml.sh kubuntu/extract-xml.sh
	#@echo "\n\n\n\n\n*** PLEASE MERGE FINDFILES MANUALLY!!!!! ***\n\n\n\n\n"
	#svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/msgsplit kubuntu/msgsplit
	wget -O kubuntu/preparetips https://projects.kde.org/projects/kde/kdelibs/repository/raw/kdeui/preparetips?rev=KDE%2F$(KDEBRANCH)
	$(MAKE) -f debian/rules clean

## pkg-kde-tools 0.15.3

=== debian/changelog ===
pkg-kde-tools (0.15.3) unstable; urgency=low

  * Reupload without cruft.

 -- Modestas Vainius <modax@debian.org>  Wed, 22 Aug 2012 22:52:24 +0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,15 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 7), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
 Standards-Version: 3.9.3
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/pkg-kde-tools/ubuntu
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/pkg-kde-tools/ubuntu
-XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary
+Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary
 
 Package: pkg-kde-tools
 Architecture: all
-Multi-Arch: foreign
 Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~)
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: debhelper (>= 7.3.16), cdbs

## pkg-kde-tools 0.15.3ubuntu2

=== debian/changelog ===
pkg-kde-tools (0.15.3ubuntu2) raring; urgency=low

  * Add support to show lintian warnings during build:
    - debian/control: Add dependency on lintian
    - qt-kde-team/2/debian-qt-kde.mk: run lintian after the binary target
    - qt-kde-team/2/lintian.mk: print lintian output with markers to make
      script parsing easier.

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 02 Feb 2013 14:25:42 +0100

pkg-kde-tools (0.15.3ubuntu1) raring; urgency=low

  * Merge with Debian unstable, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - debian/install: install kubuntu/ files
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      add "include /usr/lib/kubuntu-desktop-i18n/kubuntu.mk" and compress
      packages with LZMA
    - add perlib/Debian/Debhelper/lzma.pm and xz.pm
    - perlib/Debian/Debhelper/kde.pm: include xz squences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - perlib/Debian/Debhelper/Buildsystem: add sub clean and sub install
      for i18n
    - qt-kde-team/2/debian-qt-kde.mk: run list-missing after the binary target
    - qt-kde-team/2/list-missing.mk: print marker before and after list-missing
      output for script parsing
  * Remove incorrect Vcs lines in debian/control

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2012 15:57:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 7), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
 Standards-Version: 3.9.3
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
@@ -10,7 +11,8 @@
 
 Package: pkg-kde-tools
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~)
+Multi-Arch: foreign
+Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~), lintian
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: debhelper (>= 7.3.16), cdbs
 Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)

## pkg-kde-tools 0.15.3ubuntu8

=== debian/changelog ===
pkg-kde-tools (0.15.3ubuntu8) raring; urgency=low

  * In extract-messages.sh don't include .pc directories from quilt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 28 Mar 2013 16:28:23 +0000

pkg-kde-tools (0.15.3ubuntu7) raring; urgency=low

  * Add python as dep of pkg-kde-tools.
    upstream's msgsplit script for l10n uses python

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Mar 2013 13:50:06 +0100

pkg-kde-tools (0.15.3ubuntu6) raring; urgency=low

  * Add envrionment variables to dh_kubuntu_l10n_* for use in the package
    kubuntu-patched-l10n which processes other packages so it needs to force
    a check regardless of any preconditions the scripts would usually expect.
    - KUBUNTU_L10N_FORCE_RUN - Forces a run of the pot creation.
    - KUBUNTU_L10N_NO_DESKTOP - Skips desktop file portion.
      Desktop file changes are not supported through kubuntu-patched-l10n so
      processing them could lead to unintended results.
  * If preconditions are met, create the sources on all architectures.
    Otherwise we can run into funny results when a desktop file is in an
    arch: any package and then ends up without ubuntu domain key on amd64.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 13 Mar 2013 14:49:03 +0100

pkg-kde-tools (0.15.3ubuntu5) raring; urgency=low

  * dhmk related l10n fixes. dhmk expects sequence introduced binarys to be
    a name rather than a path, in particular making it a path will make dhmk
    fall over its on stupidity and fail to generate pseudo-targets thus causing
    FTBFS
  * Rename kubuntu-debhelper-*.sh to dh_kubuntu_l10n_*
  * Restructure kubuntu/ dir to contain subdirectories bin/ and lib/
    + Change .install to install bin/* to usr/bin and lib/* to usr/lib/kubuntu-l10n
    + Scripts from upstream are now in lib/libexec (due to their rather random
      names they ought not be in usr/bin)
    + dh_kubuntu scripts add libexec to their PATH to pick up the upstream
      tooling
  * Remove kubuntu.mk used in dhmk1 and cdbs. Those build systems are now
    unsupported as far as l10n goes. All packages that want l10n need to use
    either dhmk2 or the debhelper kde sequence or the debhelper kubuntu-l10n
    sequence.

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Mar 2013 13:22:15 +0100

pkg-kde-tools (0.15.3ubuntu4) raring; urgency=low

  * Re-add createdesktopcontext.pl to sync (needed for Kubuntu specific stuff
    to build a pot of desktop files).
  * Include kubuntu/debhelper/finddesktopfiles.sh which is a simpler version
    of the previously used findfiles from upstream. In particular it only
    runs a find for all known desktopfile-like file endings and writes
    those to a file to be picked bup createdesktopcontext.pl later.
  * Convert kdesdk-script sync to use git (recently moved there)
  * Make git based sync use proper git with a shallow single-branch clone of
    the respective release tag (as fast as possible, also as reliable as
    possible).
  * Drop sync note about findfiles script which is no longer present
  * Drop the SVNREV variable in rules as we either sync from a git tag or
    SVN's stable branch now.
  * Set path in i18n scripts to avoid having to define the absolute path
    (resolving the absolute path of $script and using that would be even
     neater).
  * Abort langpack helper execution iff not building for archive or it was
    not explicitly enabled. Previously it would not build when not building
    for archive or not targetting main. As now most of Kubuntu is in universe
    and we do not use launchpad for upstream software all packages that need
    launchpad translations need to explicitly opt-in by adding
    'X-Ubuntu-Use-Langpack: yes' to their control file. Since mangling for
    Kubuntu only makes sense in an archive context this restriction remains.
  * Drop auto-l10n from kde dh buildsystem and move it to the sequence instead.
  * Sync l10n scripts from upstream.

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 11 Mar 2013 19:44:11 +0100

pkg-kde-tools (0.15.3ubuntu3) raring; urgency=low

  * qt-kde-team/2/lintian.mk: Generate a temporary .changes file for the
    lintian check as the final one is generated later. 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 28 Feb 2013 14:13:44 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
 Package: pkg-kde-tools
 Architecture: all
 Multi-Arch: foreign
-Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~), lintian
+Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~), lintian,
+ python
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: debhelper (>= 7.3.16), cdbs
 Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)

## pkg-kde-tools 0.15.8ubuntu2

=== debian/changelog ===
pkg-kde-tools (0.15.8ubuntu2) saucy; urgency=low

  * perllib/Debian/PkgKde/SymbolsHelper/Substs/TypeSubst.pm:
    - Anchor architecture matches to the ends of the string, to avoid
      erroneously mapping qreal to float on arm64.
    - Add arm64 and ppc64el to the 64-bit matches.

 -- William Grant <wgrant@ubuntu.com>  Sun, 13 Oct 2013 10:14:05 +1100

pkg-kde-tools (0.15.8ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1219695), remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - add debian/KUBUNTU-BZR-WORKFLOW
    - Add l10n scripts in kubuntu/
    - debian/install: install kubuntu/ files
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      compress packages with LZMA
    - add perllib/Debian/Debhelper/Sequence/lzma.pm and xz.pm
    - perllib/Debian/Debhelper/Sequence/kde.pm: include xz squences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - qt-kde-team/2/debian-qt-kde.mk: run list-missing after the binary target
    - qt-kde-team/2/list-missing.mk: print marker before and after list-missing
      output for script parsing
    - Add qt-kde-team/2/lintian.mk and call it in qt-kde-team/2/debian-qt-kde.mk
    - Depend on python and docbook-to-man, recommend lintian

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 03 Sep 2013 10:48:47 +0400

pkg-kde-tools (0.15.8) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * pkgkde-symbolshelper: Add intptr_t type substitution.

  [ Pino Toscano ]
  * Fix Vcs-* headers.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 Aug 2013 20:01:30 -0300

pkg-kde-tools (0.15.7ubuntu4) saucy; urgency=low

  * Re-enable lintian but only recommend it

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 16 Jul 2013 18:07:15 +0200

pkg-kde-tools (0.15.7ubuntu3) saucy; urgency=low

  * Remove lintian dependency from pkg-kde-tools as it's too heavy and don't
    run the lintian target in debian-qt-kde.mk 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 16 Jul 2013 18:04:45 +0200

pkg-kde-tools (0.15.7ubuntu2) saucy; urgency=low

  * qt-kde-team/*/debian-qt-kde.mk uses docbook-to-man, so depend on it

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 17 Jun 2013 20:14:37 +0200

pkg-kde-tools (0.15.7ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - add debian/KUBUNTU-BZR-WORKFLOW
    - Add l10n scripts in kubuntu/
    - debian/install: install kubuntu/ files
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      compress packages with LZMA
    - add perllib/Debian/Debhelper/Sequence/lzma.pm and xz.pm
    - perllib/Debian/Debhelper/Sequence/kde.pm: include xz squences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - qt-kde-team/2/debian-qt-kde.mk: run list-missing after the binary target
    - qt-kde-team/2/list-missing.mk: print marker before and after list-missing
      output for script parsing
    - Add qt-kde-team/2/lintian.mk and call it in qt-kde-team/2/debian-qt-kde.mk

 -- Scott Kitterman <scott@kitterman.com>  Wed, 22 May 2013 18:37:26 -0400

pkg-kde-tools (0.15.7) unstable; urgency=low

  * pkgkde-vcs: replace support for lenny-backports with wheezy-backports.

 -- Modestas Vainius <modax@debian.org>  Mon, 20 May 2013 01:00:35 +0300

pkg-kde-tools (0.15.6) unstable; urgency=low

  * pkgkde-git: Update sanity check, allow git clones inside gited homes.
  * Add myself to Uploaders.
  * Bump debhelper buil-dep and compat to 9.
  * Bump Standards-Version to 3.9.4, no further changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 10 May 2013 17:57:04 +0200

pkg-kde-tools (0.15.5-0ubuntu1) saucy; urgency=low

  * Merge with Debian unstable, remaining changes:
    - qt-kde-team/1/debian-qt-kde.mk: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - add debian/KUBUNTU-BZR-WORKFLOW
    - Add l10n scripts in kubuntu/
    - debian/install: install kubuntu/ files
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      compress packages with LZMA
    - add perllib/Debian/Debhelper/Sequence/lzma.pm and xz.pm
    - perllib/Debian/Debhelper/Sequence/kde.pm: include xz squences
    - qt-kde-team/{1,2}/policy.mk: remove maintainer checking
    - qt-kde-team/2/debian-qt-kde.mk: run list-missing after the binary target
    - qt-kde-team/2/list-missing.mk: print marker before and after list-missing
      output for script parsing
    - Add qt-kde-team/2/lintian.mk and call it in qt-kde-team/2/debian-qt-kde.mk
  * Remove incorrect Vcs lines in debian/control

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 05 May 2013 09:29:28 +0100

pkg-kde-tools (0.15.5) experimental; urgency=low

  * dh_sameversiondep: do not fail on dependencies which have versions from
    multiple architectures installed. Thanks to Cyril Brulebois for the initial
    patch. (Closes: #676833)

 -- Modestas Vainius <modax@debian.org>  Sun, 14 Apr 2013 20:25:23 +0300

pkg-kde-tools (0.15.4) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Filter out -dbg packages from ${allLibraries} variables.

  [ Sune Vuorela ]
  * Update my email address

 -- Sune Vuorela <sune@debian.org>  Tue, 02 Apr 2013 21:58:46 +0000

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: debhelper (>= 7), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
-Standards-Version: 3.9.3
-Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
-Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary
+Build-Depends: debhelper (>= 9), libdpkg-perl (>= 1.15.6~), cmake (>= 2.6.4)
+Standards-Version: 3.9.4
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Vcs-Git: git://anonscm.debian.org/pkg-kde/pkg-kde-tools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/pkg-kde-tools.git;a=summary
 
 Package: pkg-kde-tools
 Architecture: all
 Multi-Arch: foreign
-Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~), lintian,
- python
-Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
+Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~),
+ python, docbook-to-man
+Recommends: dpkg-dev (>= 1.15.6~), libwww-perl, lintian
 Suggests: debhelper (>= 7.3.16), cdbs
 Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)
 Description: various packaging tools and scripts for KDE Applications
